Subject: Re: Could the DTS experts look at this?

From: David Gibson <[email-masked]>
Date: Mon, 11 Feb 2008 14:11:10 +1100

On Sun, Feb 10, 2008 at 09:40:19PM -0500, Sean MacLennan wrote:
> David Gibson wrote:
> > This doesn't seem right.  warp_fixup_one_nor() changes only the
> > partition's offset, so you're not changing the size of any
> > partitions.  If you're not going to actually use any of the extra
> > flash space with 64M, I can't see why you'd bother moving around the
> > partitions you have.
> >   
> u-boot must be at the bottom of the flash. Also, for the 64M NOR flash 
> you can put everything in the NOR flash, I just don't show the 
> partitions. Booting from NOR is *much* faster than  booting from
> NAND.

Sorry, still not really following what's going on.  Without worrying
about the dts formatting or fixup code, can you summarise what the two
flash maps look like?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson